#ifdef
Prev | Orchestra Opcodes and Operators | Next

## #ifdef

#ifdef — Conditional reading of code.

## Description

If a macro is defined then #ifdef can incorporate text into an orchestra upto the next #end. This is similar to, but independent of, the macro system in the score language.

## Syntax

    #ifdef NAME

    ....

    #else

    ....

    #end

## Performance

Note that the #ifdef can be nested, like in the C preprocessor language.

## Examples

Here is a simple example of the conditional.

Example 11. Simple example of the #ifdef form.

    #define debug
         instr 1
    #ifdef debug
         print "calling oscil"
    #end
         a1   oscil 32000,440,1
         out  a1
         endin

## See Also

$NAME, #define, #ifndef.

## Credits

Author: John ffitch
University of Bath/Codemist Ltd.
Bath, UK
April 2005

New in Csound5 (and 4.23f13)

Prev | Up | Next
#undef | Home | #ifndef